@article {ref:two_case_studies,
	title = "Two Case Studies of Open Source Software Development: Apache and Mozilla",
	author = "Mockus, Audris and Fielding, Roy T. and Herbsleb, James D."
}

@inproceedings{ref:evolution_of_jun,
	author = {Aoki, Atsushi and Hayashi, Kaoru and Kishida, Kouichi and Nakakoji, Kumiyo and Nishinaka, Yoshiyuki and Reeves, Brent and Takashima, Akio and Yamamoto, Yasuhiro},
	title = {A Case Study of the Evolution of Jun: An Object-oriented Open-source 3D Multimedia Library},
	booktitle = {Proceedings of the 23rd International Conference on Software Engineering},
	series = {ICSE '01},
	year = {2001},
	isbn = {0-7695-1050-7},
	location = {Toronto, Ontario, Canada},
	pages = {524--533},
	numpages = {10},
	url = {http://dl.acm.org/citation.cfm?id=381473.381535},
	acmid = {381535},
	publisher = {IEEE Computer Society},
	address = {Washington, DC, USA},
}

@article {ref:a_complexity_measure,
	title="A Complexity Measure",
	author = "McCabe, Thomas J.",
	year = 1976,
	journal = "IEEE TRANSACTIONS ON SOFTWARE ENGINEERING",
	volume = "SE-2",
	number = "4",
	pages = "308--320"
}
@Article{ref:evaluating_software_complexity_measures,
	author = {Weyuker, Elaine J.},
	title = {Evaluating Software Complexity Measures},
	journal = {IEEE TRANSACTIONS ON SOFTWARE ENGINEERING,},
	year = {1988},
	volume = {14},
	number = {9},
	pages = {1357--1365},
}

@Misc{ref:gj_wiki,
	title = {Generative Justice Wiki!},
	author = {Wiki},
	howpublished = {website},
	month = {08},
	year = {2014},
	note = {Wiki},
	url = {http://generativejustice.wikispaces.com/},
}

@Misc{ref:os_org,
	author = {Open Source Initiative},
	title = {The Open Source Initiative},
	howpublished = {website},
	month = {08},
	year = {2014},
	url = {http://opensource.org/},
}

@article{ref:open_source_network_theory,
  title={The open source software development phenomenon: An analysis based on social network theory},
  author={Madey, Gregory and Freeh, Vincent and Tynan, Renee},
  journal={AMCIS 2002 Proceedings},
  pages={247},
  year={2002}
}

@TechReport{ref:floss_report,
	author = {Ghosh, Rishab A. et al},
	title = {Free/Libre and Open Source Software:
	Survey and Study},
	institution = {University of Maastricht, The Netherlands},
	year = {2002},
	number = {4},
	month = {June},
}

@book{ref:penguin,
	author = {Benkler, Yocha},
	title = {The Penguin and the Leviathan: How Cooperation Triumphs over Self-Interest},
	date = {2011},
	edition = {1st},
	publisher = {Crown Business},
	location = {New York},
}

@inbook{ref:basins,
	author = {Eglash, R and Garvey, C},
	title = {Basins of Attraction for Generative Justice},
	booktitle = {Chaos Theory in Politics
	Understanding Complex Systems},
	date = {2014},
	bookauthor = {Santo Banerjee, Şefika Şule Erçetin, Ali Tekin},
	publisher = {Springer},
	location = {Berlin},
}

@book{ref:governing_commons,
	author = {Ostrom, Elino},
	title = { Governing the Commons: The Evolution of Institutions for Collective Act},
	date = {1990},
	publisher = {Cambridge University Press},
	location = {Cambrdige; New York},
}

@article{ref:cilibrasi2005clustering,
  title={Clustering by compression},
  author={Cilibrasi, Rudi and Vit{\'a}nyi, Paul MB},
  journal={Information Theory, IEEE Transactions on},
  volume={51},
  number={4},
  pages={1523--1545},
  year={2005},
  publisher={IEEE}
}

@inproceedings{ref:oviedo1993control,
  title={Control flow, data flow and program complexity},
  author={Oviedo, Enrique I},
  booktitle={Software engineering metrics I},
  pages={52--65},
  year={1993},
  organization={McGraw-Hill, Inc.}
}

@article{ref:tao2014complexity,
  title={Complexity measure based on program slicing and its validation},
  author={Tao, Hongwei and Chen, Yixiang},
  journal={Wuhan University Journal of Natural Sciences},
  volume={19},
  number={6},
  pages={512--518},
  year={2014},
  publisher={Springer}
}

@article{ref:halstead1977elements,
  title={Elements of software science},
  author={Halstead, Maurice H},
  year={1977},
  publisher={North-Holland}
}

@article{shepperd1988critique,
  title={A critique of cyclomatic complexity as a software metric},
  author={Shepperd, Martin},
  journal={Software Engineering Journal},
  volume={3},
  number={2},
  pages={30--36},
  year={1988},
  publisher={IET}
}
@online{opensource2015definition,
author = {Open Source Initiative},
title = {The Open Source Definition},
date = {2015-04-14},
url = {http://opensource.org/osd},
organization = {Open Source Initiative},
urldate = {2015-04-14},
}


@online{w3techs2015usage,
author = {W3Techs},
title = {Usage of operating systems for websites},
date = {2015-04-14},
url = {http://w3techs.com/technologies/overview/operating_system/all},
}

@online{mitre2013heartbleed,
author = {MITRE},
title = {CVE-2014-0160},
date = {2013-12-03},
url = {https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-0160},
}


@online{whittaker2014heartbleed,
author = {Zack Whittaker},
title = {Heartbleed bug affects Yahoo, OKCupid sites; users face losing passwords},
date = {2014-04-08},
url = {http://www.zdnet.com/article/heartbleed-bug-affects-yahoo-okcupid-sites-users-face-losing-passwords/},
}


@online{brodkin2014heartbleed,
author = {Jon Brodkin},
title = {Tech giants, chastened by Heartbleed, finally agree to fund OpenSSL},
date = {2014-04-24},
url = {http://arstechnica.com/information-technology/2014/04/tech-giants-chastened-by-heartbleed-finally-agree-to-fund-openssl/},
}


@book{sheppherd1993complexity,
author = {Collection},
title = {Software Engineering Metrics Volume 1: Measures and Validations},
date = {1993},
editor = {Martin Shepperd},
isbn = {0-07-707410-6},
}

@book{aho1977principles,
  title={Principles of compiler design},
  author={Aho, Alfred V and Ullman, Jeffrey D and author},
  volume={21},
  year={1977},
  publisher={Addison-Wesley Reading, Mass.}
}

@article{phusavat2015use,
  title={Use of intellectual capital as a surrogate for productivity measurement},
  author={Phusavat, Kongkiti and Lertritwittya, Apinat and Helo, Petri},
  journal={International Journal of Productivity and Quality Management},
  volume={15},
  number={3},
  pages={357--380},
  year={2015},
  publisher={Inderscience Publishers}
}
@phdthesis{meloproductivity,
  title={Productivity of agile teams: an empirical evaluation of factors and monitoring processes},
  author={Melo, Claudia de Oliveira},
  school={Universidade de S{\~a}o Paulo}
}

@inproceedings{inozemtseva2014coverage,
  title={Coverage is not strongly correlated with test suite effectiveness},
  author={Inozemtseva, Laura and Holmes, Reid},
  booktitle={Proceedings of the 36th International Conference on Software Engineering},
  pages={435--445},
  year={2014},
  organization={ACM}
}

@article{persson2015correlation,
  title={The correlation between code coverage, cyclomatic complexity and fault frequency},
  author={Persson, Simon},
  year={2015}
}

@article{turkle1992epistemological,
  title={Epistemological pluralism and the revaluation of the concrete},
  author={Turkle, Sherry and Papert, Seymour},
  journal={Journal of Mathematical Behavior},
  volume={11},
  number={1},
  pages={3--33},
  year={1992}
}

@article{etzkowitz1992athena,
  title={Athena unbound: Barriers to women in academic science and engineering},
  author={Etzkowitz, Henry and Kemelgor, Carol and Neuschatz, Michael and Uzzi, Brian},
  journal={Science and Public Policy},
  volume={19},
  number={3},
  pages={157--179},
  year={1992},
  publisher={Oxford University Press}
}

@online{freebsd2015codeofconduct,
	author = {FreeBSD},
	title = {FreeBSD Code of Conduct},
	date = { 2015-08-01},
	url = {https://www.freebsd.org/internal/code-of-conduct.html},
	urldate = {2015-08-28},
}

@online{gendercomputer2015elin,
	author = {Parsj{\"o}, Elin},
	title = {Gender and Computing Panel, March 2015},
	date = { 2015-03-01},
	url = {http://uu.acm.org/2015/03/gender-and-computing-panel-march-2015/},
	urldate = {2015-08-28},
}

@online{diversity2015aaron,
	author = {Dubrow, Aaron and Lyons, Jennie},
	title = {Encouraging diversity in computer science education},
	date = { 2015-03-07},
	url = {http://nsf.gov/discoveries/disc_summ.jsp?cntn_id=134318&org=NSF},
	urldate = {2015-08-28},
}

@online{inclusion2015ibm,
	author = {IBM},
	title = {Diversity and Inclusion},
	date = { 2015-08-28},
	url = {http://www-03.ibm.com/employment/us/diverse/},
	urldate = {2015-08-28},
}


@online{enriching2016amsa,
	author = {AMSA},
	title = {Enriching Medicine Through Diversity},
	date = {date},
	url = {http://www.amsa.org/about/mission-aspirations/diversity/},
	urldate = {2016-11-05},
}


@online{floss2013libresoft,
	author = {Arjona-Reina, L., Robles G., & Dueñas, S.},
	title = {FLOSS Survey 2013},
	date = {2014},
	url = {http://floss2013.libresoft.es/results.en.html},
	urldate = {2016-11-05},
}
